Skip to main content
GET
/
kalshi
/
market-price
/
{market_ticker}
Get Kalshi Market Price
curl --request GET \
  --url https://api.domeapi.io/v1/kalshi/market-price/{market_ticker}
import requests

url = "https://api.domeapi.io/v1/kalshi/market-price/{market_ticker}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.domeapi.io/v1/kalshi/market-price/{market_ticker}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "yes": {
    "price": 0.75,
    "at_time": 1762164600
  },
  "no": {
    "price": 0.25,
    "at_time": 1762164600
  }
}

Path Parameters

market_ticker
string
required

The market ticker for the Kalshi market

Example:

"KXNFLGAME-25AUG16ARIDEN-ARI"

Query Parameters

at_time
integer

Optional Unix timestamp (in seconds) to fetch a historical market price. If not provided, returns the most real-time price available.

Example:

1762164600

Response

Market price response

yes
object
required

Yes side price information

no
object
required

No side price information